Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.crypto.fips.provider
Class RSAPrivateKey

    java.lang.Object
      |
      +--com.ibm.security.pkcsutil.PKCSDerObject
            |
            +--com.ibm.security.pkcs8.PrivateKeyInfo
                  |
                  +--com.ibm.crypto.fips.provider.RSAPrivateKey

All Implemented Interfaces:
  java.lang.Cloneable, java.security.Key, java.security.PrivateKey, java.security.interfaces.RSAKey, java.security.interfaces.RSAPrivateKey, java.io.Serializable

public final class RSAPrivateKey
extends com.ibm.security.pkcs8.PrivateKeyInfo
implements java.security.interfaces.RSAPrivateKey, java.io.Serializable

An X.509 private key for the RSA Algorithm.

Version:
  1.00, 03/22/99
Author:
  Janelle Zhang
See Also:
  Serialized Form

Fields inherited from class com.ibm.security.pkcs8.PrivateKeyInfo
`algid, attributes, key, version`

Fields inherited from class com.ibm.security.pkcsutil.PKCSDerObject
`provider`

Fields inherited from interface java.security.PrivateKey
`serialVersionUID`

Method Summary
`protected void` | `finalize()` This function zeroizes the key so that it isn't in memory when GC is done.
`java.math.BigInteger` | `getModulus()` Return the modulus.
`java.math.BigInteger` | `getPrivateExponent()` Return the private exponent.
`protected void` | `parseKeyBits()`
`java.lang.String` | `toString()`
`void` | `zeroize()` This function zeroizes the key so that it isn't in memory

Methods inherited from class com.ibm.security.pkcs8.PrivateKeyInfo
`addAttribute, addAttributes, clone, decode, encode, equals, getAlgorithm, getAlgorithmId, getAttribute, getAttributes, getEncoded, getFormat, getKeyBytes, hasAttribute, hasAttributes, hashCode, parseKey, parseKey`

Methods inherited from class com.ibm.security.pkcsutil.PKCSDerObject
`decode, encode, getObjectIdentifier, read, readBASE64, write, write, writeBASE64`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.security.Key
`getAlgorithm, getEncoded, getFormat`

Method Detail

### getModulus

    public java.math.BigInteger getModulus()

  Return the modulus.
  Specified by:
    `getModulus` in interface `java.security.interfaces.RSAKey`

### getPrivateExponent

    public java.math.BigInteger getPrivateExponent()

  Return the private exponent.
  Specified by:
    `getPrivateExponent` in interface `java.security.interfaces.RSAPrivateKey`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `com.ibm.security.pkcs8.PrivateKeyInfo`

### parseKeyBits

    protected void parseKeyBits()
                         throws java.io.IOException

  Overrides:
    `parseKeyBits` in class `com.ibm.security.pkcs8.PrivateKeyInfo`

### zeroize

    public void zeroize()

  This function zeroizes the key so that it isn't in memory

### finalize

    protected void finalize()

  This function zeroizes the key so that it isn't in memory when GC is done.
  Overrides:
    `finalize` in class `com.ibm.security.pkcs8.PrivateKeyInfo`

Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD